# brandpanel-api
A Smarter Way to Grow on Instagram  To use the following APIs you will need an access token. An access token can be obtained by contacting Dash Hudson support.

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.0.0
- Package version: 1.0.1
- Build package: io.swagger.codegen.languages.PythonClientCodegen
For more information, please visit [https://dashhudson.com](https://dashhudson.com)

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import brandpanel_api
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import brandpanel_api
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import brandpanel_api
from brandpanel_api.rest import ApiException
from pprint import pprint
# create an instance of the API class
api_instance = brandpanel_api.DefaultApi()
body = brandpanel_api.UserCreate() # UserCreate |
authorization = 'authorization_example' # str |

try:
    api_response = api_instance.create_user(body, authorization)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling DefaultApi->create_user: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://dashhudson.com*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DefaultApi* | [**create_user**](docs/DefaultApi.md#create_user) | **POST** /api/users |
*DefaultApi* | [**update_user**](docs/DefaultApi.md#update_user) | **PUT** /api/users/{id} |


## Documentation For Models

 - [User](docs/User.md)
 - [UserCreate](docs/UserCreate.md)
 - [UserUpdate](docs/UserUpdate.md)


## Documentation For Authorization

 All endpoints do not require authorization.


## Author

tomek@dashhudson.com

